<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Plugin Guidelines</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="plugin-guidelines">Plugin Guidelines</h1>
<h2 id="overview">Overview</h2>
<p>This section will help the Cacti plugin developer structure their plugins. However, the best way to create a plugin is to borrow someone elses. There are Cacti plugin examples on <a href="https://github.com/Cacti">Cactis GitHub page</a> and you can find them all over GitHub just by searching.</p>
<h2 id="plugin-creation">Plugin Creation</h2>
<p>Use the following guidelines for creating your first plugin.</p>
<h2 id="plugin-namespaces">Plugin Namespaces</h2>
<p>All plugins must use namespace isolation either through Classes, or using the plugin name in their functions. This prevents name space collisions.</p>
<p>An example plugin is provided here <a href="resources/example.tgz">Example Plugin</a>.</p>
<h2 id="publishing-your-plugin">Publishing Your Plugin</h2>
<p>GitHub is the best place to publish your plugins. Learn to use it.</p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
